<script setup lang="ts">
import { defineProps, defineEmits } from 'vue'
import type { Country } from '@/pages/home/interfaces/IContinentCountry'

defineProps<{
  countries: Country[]
}>()

const emit = defineEmits<{
  (e: 'selectCountry', country: Country): void
}>()

const selectCountry = (country: Country) => {
  emit('selectCountry', country)
}
</script>

<template>
  <article
    class="country"
    v-for="(country, index) in countries"
    :key="index"
    @click="selectCountry(country)"
  >
    <img class="country-img" :src="country.landscape" alt="Esto es un paisaje" />
    <div class="country-info">
      <img class="flag-img" :src="country.flag" alt="Bandera" />
      <div>
        <h4>{{ country.name }}</h4>
        <p>{{ country.continent.name }}</p>
      </div>
    </div>
  </article>
</template>

<style scoped>
.country {
  background-color: var(--color-6);
  padding: 10px;
  border-radius: 20px;
  border: 1px solid var(--color-3);
}

.country-img {
  width: 100%;
  height: 150px;
  object-fit: cover;
  display: block;
  margin: 0 auto;
  border-radius: 10px 10px 0 0;
}

.flag-img {
  width: 50px;
  height: 50px;
  object-fit: cover;
}

.country-info {
  margin-top: 10px;
  display: flex;
  align-items: center;
  gap: 10px;
}
</style>
